VULKAN_HPP_NAMESPACE::GeometryAABBNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::GeometryAABBNV:
[legend]

## Public Member Functions

| GeometryAABBNV (Buffer aabbData_=Buffer(), uint32_t numAABBs_=0, uint32_t stride_=0, DeviceSize offset_=0)
| GeometryAABBNV (VkGeometryAABBNV const &rhs)
GeometryAABBNV & | operator= (VkGeometryAABBNV const &rhs)
GeometryAABBNV & | setPNext (const void *pNext_)
GeometryAABBNV & | setAabbData (Buffer aabbData_)
GeometryAABBNV & | setNumAABBs (uint32_t numAABBs_)
GeometryAABBNV & | setStride (uint32_t stride_)
GeometryAABBNV & | setOffset (DeviceSize offset_)
| operator VkGeometryAABBNV const & () const
| operator VkGeometryAABBNV & ()
bool | operator== (GeometryAABBNV const &rhs) const
bool | operator!= (GeometryAABBNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
Buffer | aabbData
uint32_t | numAABBs
uint32_t | stride
DeviceSize | offset

## Private Attributes

StructureType | sType = StructureType::eGeometryAabbNV

## Detailed Description

Definition at line 20396 of file vulkan.hpp.

## Constructor & Destructor Documentation

## GeometryAABBNV() [1/2]

VULKAN_HPP_NAMESPACE::GeometryAABBNV::GeometryAABBNV | ( | Buffer | aabbData_ = `Buffer()`,
|  | uint32_t | numAABBs_ = `0`,
|  | uint32_t | stride_ = `0`,
|  | DeviceSize | offset_ = `0`
| ) |  |

inline

Definition at line 20398 of file vulkan.hpp.

: aabbData( aabbData_ )
, numAABBs( numAABBs_ )
, stride( stride_ )
, offset( offset_ )
{
}

## GeometryAABBNV() [2/2]

VULKAN_HPP_NAMESPACE::GeometryAABBNV::GeometryAABBNV | ( | VkGeometryAABBNV const & | rhs | ) |

inline

Definition at line 20409 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( GeometryAABBNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkGeometryAABBNV &()

VULKAN_HPP_NAMESPACE::GeometryAABBNV::operator VkGeometryAABBNV & | ( |  | ) |

inline

Definition at line 20454 of file vulkan.hpp.

{
return *reinterpret_cast<VkGeometryAABBNV*>(this);
}

## operator VkGeometryAABBNV const &()

VULKAN_HPP_NAMESPACE::GeometryAABBNV::operator VkGeometryAABBNV const & | ( |  | ) | const

inline

Definition at line 20449 of file vulkan.hpp.

{
return *reinterpret_cast<const VkGeometryAABBNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::GeometryAABBNV::operator!= | ( | GeometryAABBNV const & | rhs | ) | const

inline

Definition at line 20469 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

GeometryAABBNV& VULKAN_HPP_NAMESPACE::GeometryAABBNV::operator= | ( | VkGeometryAABBNV const & | rhs | ) |

inline

Definition at line 20414 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( GeometryAABBNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::GeometryAABBNV::operator== | ( | GeometryAABBNV const & | rhs | ) | const

inline

Definition at line 20459 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( aabbData == rhs.aabbData )
&& ( numAABBs == rhs.numAABBs )
&& ( stride == rhs.stride )
&& ( offset == rhs.offset );
}

References aabbData, numAABBs, offset, pNext, stride, and sType.

Referenced by operator!=().

## setAabbData()

GeometryAABBNV& VULKAN_HPP_NAMESPACE::GeometryAABBNV::setAabbData | ( | Buffer | aabbData_ | ) |

inline

Definition at line 20425 of file vulkan.hpp.

{
aabbData = aabbData_;
return *this;
}

References aabbData.

## setNumAABBs()

GeometryAABBNV& VULKAN_HPP_NAMESPACE::GeometryAABBNV::setNumAABBs | ( | uint32_t | numAABBs_ | ) |

inline

Definition at line 20431 of file vulkan.hpp.

{
numAABBs = numAABBs_;
return *this;
}

References numAABBs.

## setOffset()

GeometryAABBNV& VULKAN_HPP_NAMESPACE::GeometryAABBNV::setOffset | ( | DeviceSize | offset_ | ) |

inline

Definition at line 20443 of file vulkan.hpp.

{
offset = offset_;
return *this;
}

## setPNext()

GeometryAABBNV& VULKAN_HPP_NAMESPACE::GeometryAABBNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 20419 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setStride()

GeometryAABBNV& VULKAN_HPP_NAMESPACE::GeometryAABBNV::setStride | ( | uint32_t | stride_ | ) |

inline

Definition at line 20437 of file vulkan.hpp.

{
stride = stride_;
return *this;
}

## Field Documentation

## aabbData

Buffer VULKAN_HPP_NAMESPACE::GeometryAABBNV::aabbData

Definition at line 20479 of file vulkan.hpp.

Referenced by operator==(), and setAabbData().

## numAABBs

uint32_t VULKAN_HPP_NAMESPACE::GeometryAABBNV::numAABBs

Definition at line 20480 of file vulkan.hpp.

Referenced by operator==(), and setNumAABBs().

## offset

DeviceSize VULKAN_HPP_NAMESPACE::GeometryAABBNV::offset

Definition at line 20482 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::GeometryAABBNV::pNext = nullptr

Definition at line 20478 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## stride

uint32_t VULKAN_HPP_NAMESPACE::GeometryAABBNV::stride

Definition at line 20481 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::GeometryAABBNV::sType = StructureType::eGeometryAabbNV

private

Definition at line 20475 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VULKAN_HPP_NAMESPACE::GeometryAABBNV::GeometryAABBNV
GeometryAABBNV(Buffer aabbData_=Buffer(), uint32_t numAABBs_=0, uint32_t stride_=0, DeviceSize offset_=0)
Definition: vulkan.hpp:20398
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::GeometryAABBNV::offset
DeviceSize offset
Definition: vulkan.hpp:20482
VULKAN_HPP_NAMESPACE::GeometryAABBNV::operator==
bool operator==(GeometryAABBNV const &rhs) const
Definition: vulkan.hpp:20459
VULKAN_HPP_NAMESPACE::GeometryAABBNV::stride
uint32_t stride
Definition: vulkan.hpp:20481
VkGeometryAABBNV
Definition: vulkan_core.h:8238
stride
GLsizei stride
Definition: SDL_opengl_glext.h:378
VULKAN_HPP_NAMESPACE::GeometryAABBNV::sType
StructureType sType
Definition: vulkan.hpp:20475
VULKAN_HPP_NAMESPACE::GeometryAABBNV::aabbData
Buffer aabbData
Definition: vulkan.hpp:20479
VULKAN_HPP_NAMESPACE::GeometryAABBNV::pNext
const void * pNext
Definition: vulkan.hpp:20478
VULKAN_HPP_NAMESPACE::GeometryAABBNV::numAABBs
uint32_t numAABBs
Definition: vulkan.hpp:20480